#pragma once
#include <map>
struct M_ActivitySummerPlanSendGoldPriceCFGData
{
	//ID
	int mID;
	//中奖人数
	int mPriceCount;
	//奖励道具ID
	std::vector<int> mItemID;
	//奖励道具数量
	std::vector<int> mItemCount;
};

class M_ActivitySummerPlanSendGoldPriceCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanSendGoldPriceCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanSendGoldPriceCFGData* GetData(int ID);
	const std::map<int, M_ActivitySummerPlanSendGoldPriceCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySummerPlanSendGoldPriceCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivitySummerPlanSendGoldPriceCFGData> mMapData;
};
